fig66 <- function(post=F)
{
if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig66.ps", width=4.4, height=5, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(2, 1),mar=c(5,3,3,1)+0.1)
 par(cex=0.8,mex=0.5,csi=0.11)

 lynx <- scan("../datasets/lynx.dat")
 lynx <- log10(lynx)

###################### lag 1 ##############################
 n <- length(lynx)
 x1 <- lynx[1:(n-1)]
 y1 <- lynx[2:n]
 write(t(cbind(x1,y1)),".fig66a.dat", ncol=2)       ## record the data
 plot(x1,y1,xlab="(a)", ylab="number of lynx")
 title("Lag 1 forecasting for Lynx data")
 out1 <- matrix(scan(".fig66a.out", skip=3),ncol=4,byrow=T)
 lines(out1[,1], out1[,2], lwd=3)
 lines(out1[,1], out1[,2]-2*out1[,4], lty=2)
 lines(out1[,1], out1[,2]+2*out1[,4], lty=2)




###################### lag 1 ##############################
 x2 <- lynx[1:(n-2)]
 y2 <- lynx[3:n]
 write(t(cbind(x2,y2)),".fig66b.dat", ncol=2)       ## record the data
 plot(x2,y2,xlab="(b)", ylab="number of lynx")
 title("Lag 2 forecasting for Lynx data")
 out2 <- matrix(scan(".fig66b.out", skip=3),ncol=4,byrow=T)
 lines(out2[,1], out2[,2], lwd=3)
 lines(out2[,1], out2[,2]-2*out2[,4], lty=2)
 lines(out2[,1], out2[,2]+2*out2[,4], lty=2)
}

